Index: /palm/trunk/SOURCE/land_surface_model_mod.f90
===================================================================
--- /palm/trunk/SOURCE/land_surface_model_mod.f90	(revision 2269)
+++ /palm/trunk/SOURCE/land_surface_model_mod.f90	(revision 2270)
@@ -3190,33 +3409,26 @@
              ENDDO
 
-          CASE ( 'qsws_eb*' )
+          CASE ( 'qsws_liq*' )
              DO  m = 1, surf_lsm_h%ns
                 i   = surf_lsm_h%i(m)            
                 j   = surf_lsm_h%j(m)
-                qsws_eb_av(j,i) = qsws_eb_av(j,i) + surf_lsm_h%qsws_eb(m)
-             ENDDO
-
-          CASE ( 'qsws_liq_eb*' )
+                qsws_liq_av(j,i) = qsws_liq_av(j,i) +                    &
+                                      surf_lsm_h%qsws_liq(m)
+             ENDDO
+
+          CASE ( 'qsws_soil*' )
              DO  m = 1, surf_lsm_h%ns
                 i   = surf_lsm_h%i(m)            
                 j   = surf_lsm_h%j(m)
-                qsws_liq_eb_av(j,i) = qsws_liq_eb_av(j,i) +                    &
-                                      surf_lsm_h%qsws_liq_eb(m)
-             ENDDO
-
-          CASE ( 'qsws_soil_eb*' )
+                qsws_soil_av(j,i) = qsws_soil_av(j,i) +                  &
+                                       surf_lsm_h%qsws_soil(m)
+             ENDDO
+
+          CASE ( 'qsws_veg*' )
              DO  m = 1, surf_lsm_h%ns
                 i   = surf_lsm_h%i(m)            
                 j   = surf_lsm_h%j(m)
-                qsws_soil_eb_av(j,i) = qsws_soil_eb_av(j,i) +                  &
-                                       surf_lsm_h%qsws_soil_eb(m)
-             ENDDO
-
-          CASE ( 'qsws_veg_eb*' )
-             DO  m = 1, surf_lsm_h%ns
-                i   = surf_lsm_h%i(m)            
-                j   = surf_lsm_h%j(m)
-                qsws_veg_eb_av(j,i) = qsws_veg_eb_av(j,i) +                    &
-                                      surf_lsm_h%qsws_veg_eb(m)
+                qsws_veg_av(j,i) = qsws_veg_av(j,i) +                    &
+                                      surf_lsm_h%qsws_veg(m)
              ENDDO
 
@@ -3233,11 +3445,4 @@
                 j   = surf_lsm_h%j(m)
                 r_s_av(j,i) = r_s_av(j,i) + surf_lsm_h%r_s(m)
-             ENDDO
-
-          CASE ( 'shf_eb*' )
-             DO  m = 1, surf_lsm_h%ns
-                i   = surf_lsm_h%i(m)            
-                j   = surf_lsm_h%j(m)
-                shf_eb_av(j,i) = shf_eb_av(j,i) + surf_lsm_h%shf_eb(m)
              ENDDO
 
@@ -3281,8 +3486,8 @@
              ENDDO
 
-          CASE ( 'ghf_eb*' )
+          CASE ( 'ghf*' )
              DO  i = nxl, nxr
                 DO  j = nys, nyn
-                   ghf_eb_av(j,i) = ghf_eb_av(j,i) / REAL( average_count_3d, KIND=wp )
+                   ghf_av(j,i) = ghf_av(j,i) / REAL( average_count_3d, KIND=wp )
                 ENDDO
              ENDDO
@@ -3295,8 +3500,8 @@
              ENDDO
 
-          CASE ( 'm_liq_eb*' )
+          CASE ( 'm_liq*' )
              DO  i = nxl, nxr
                 DO  j = nys, nyn
-                   m_liq_eb_av(j,i) = m_liq_eb_av(j,i) / REAL( average_count_3d, KIND=wp )
+                   m_liq_av(j,i) = m_liq_av(j,i) / REAL( average_count_3d, KIND=wp )
                 ENDDO
              ENDDO
@@ -3311,29 +3516,22 @@
              ENDDO
 
-          CASE ( 'qsws_eb*' )
+          CASE ( 'qsws_liq*' )
              DO  i = nxl, nxr
                 DO  j = nys, nyn
-                   qsws_eb_av(j,i) = qsws_eb_av(j,i) / REAL( average_count_3d, KIND=wp )
+                   qsws_liq_av(j,i) = qsws_liq_av(j,i) / REAL( average_count_3d, KIND=wp )
                 ENDDO
              ENDDO
 
-          CASE ( 'qsws_liq_eb*' )
+          CASE ( 'qsws_soil*' )
              DO  i = nxl, nxr
                 DO  j = nys, nyn
-                   qsws_liq_eb_av(j,i) = qsws_liq_eb_av(j,i) / REAL( average_count_3d, KIND=wp )
+                   qsws_soil_av(j,i) = qsws_soil_av(j,i) / REAL( average_count_3d, KIND=wp )
                 ENDDO
              ENDDO
 
-          CASE ( 'qsws_soil_eb*' )
+          CASE ( 'qsws_veg*' )
              DO  i = nxl, nxr
                 DO  j = nys, nyn
-                   qsws_soil_eb_av(j,i) = qsws_soil_eb_av(j,i) / REAL( average_count_3d, KIND=wp )
-                ENDDO
-             ENDDO
-
-          CASE ( 'qsws_veg_eb*' )
-             DO  i = nxl, nxr
-                DO  j = nys, nyn
-                   qsws_veg_eb_av(j,i) = qsws_veg_eb_av(j,i) / REAL( average_count_3d, KIND=wp )
+                   qsws_veg_av(j,i) = qsws_veg_av(j,i) / REAL( average_count_3d, KIND=wp )
                 ENDDO
              ENDDO
@@ -3503,15 +3701,15 @@
           grid = 'zu1'
 
-       CASE ( 'ghf_eb*_xy' )        ! 2d-array
+       CASE ( 'ghf*_xy' )        ! 2d-array
           IF ( av == 0 )  THEN
              DO  m = 1, surf_lsm_h%ns
                 i                   = surf_lsm_h%i(m)            
                 j                   = surf_lsm_h%j(m)
-                local_pf(i,j,nzb+1) = surf_lsm_h%ghf_eb(m)
+                local_pf(i,j,nzb+1) = surf_lsm_h%ghf(m)
              ENDDO
           ELSE
              DO  i = nxlg, nxrg
                 DO  j = nysg, nyng
-                   local_pf(i,j,nzb+1) = ghf_eb_av(j,i)
+                   local_pf(i,j,nzb+1) = ghf_av(j,i)
                 ENDDO
              ENDDO
@@ -3539,15 +3737,15 @@
           grid = 'zu1'
 
-       CASE ( 'm_liq_eb*_xy' )        ! 2d-array
+       CASE ( 'm_liq*_xy' )        ! 2d-array
           IF ( av == 0 )  THEN
              DO  m = 1, surf_lsm_h%ns
                 i                   = surf_lsm_h%i(m)            
                 j                   = surf_lsm_h%j(m)
-                local_pf(i,j,nzb+1) = m_liq_eb_h%var_1d(m)
+                local_pf(i,j,nzb+1) = m_liq_h%var_1d(m)
              ENDDO
           ELSE
              DO  i = nxlg, nxrg
                 DO  j = nysg, nyng
-                   local_pf(i,j,nzb+1) = m_liq_eb_av(j,i)
+                   local_pf(i,j,nzb+1) = m_liq_av(j,i)
                 ENDDO
              ENDDO
@@ -3581,15 +3779,15 @@
           IF ( mode == 'xy' ) grid = 'zs'
 
-       CASE ( 'qsws_eb*_xy' )        ! 2d-array
+       CASE ( 'qsws_liq*_xy' )        ! 2d-array
           IF ( av == 0 ) THEN
              DO  m = 1, surf_lsm_h%ns
                 i                   = surf_lsm_h%i(m)            
                 j                   = surf_lsm_h%j(m)
-                local_pf(i,j,nzb+1) =  surf_lsm_h%qsws_eb(m)
+                local_pf(i,j,nzb+1) = surf_lsm_h%qsws_liq(m)
              ENDDO
           ELSE
              DO  i = nxlg, nxrg
                 DO  j = nysg, nyng 
-                   local_pf(i,j,nzb+1) =  qsws_eb_av(j,i)
+                   local_pf(i,j,nzb+1) =  qsws_liq_av(j,i)
                 ENDDO
              ENDDO
@@ -3599,15 +3797,15 @@
           grid = 'zu1'
 
-       CASE ( 'qsws_liq_eb*_xy' )        ! 2d-array
+       CASE ( 'qsws_soil*_xy' )        ! 2d-array
           IF ( av == 0 ) THEN
              DO  m = 1, surf_lsm_h%ns
                 i                   = surf_lsm_h%i(m)            
                 j                   = surf_lsm_h%j(m)
-                local_pf(i,j,nzb+1) = surf_lsm_h%qsws_liq_eb(m)
+                local_pf(i,j,nzb+1) =  surf_lsm_h%qsws_soil(m)
              ENDDO
           ELSE
              DO  i = nxlg, nxrg
                 DO  j = nysg, nyng 
-                   local_pf(i,j,nzb+1) =  qsws_liq_eb_av(j,i)
+                   local_pf(i,j,nzb+1) =  qsws_soil_av(j,i)
                 ENDDO
              ENDDO
@@ -3617,33 +3815,15 @@
           grid = 'zu1'
 
-       CASE ( 'qsws_soil_eb*_xy' )        ! 2d-array
+       CASE ( 'qsws_veg*_xy' )        ! 2d-array
           IF ( av == 0 ) THEN
              DO  m = 1, surf_lsm_h%ns
                 i                   = surf_lsm_h%i(m)            
                 j                   = surf_lsm_h%j(m)
-                local_pf(i,j,nzb+1) =  surf_lsm_h%qsws_soil_eb(m)
+                local_pf(i,j,nzb+1) =  surf_lsm_h%qsws_veg(m)
              ENDDO
           ELSE
              DO  i = nxlg, nxrg
                 DO  j = nysg, nyng 
-                   local_pf(i,j,nzb+1) =  qsws_soil_eb_av(j,i)
-                ENDDO
-             ENDDO
-          ENDIF
-
-          two_d = .TRUE.
-          grid = 'zu1'
-
-       CASE ( 'qsws_veg_eb*_xy' )        ! 2d-array
-          IF ( av == 0 ) THEN
-             DO  m = 1, surf_lsm_h%ns
-                i                   = surf_lsm_h%i(m)            
-                j                   = surf_lsm_h%j(m)
-                local_pf(i,j,nzb+1) =  surf_lsm_h%qsws_veg_eb(m)
-             ENDDO
-          ELSE
-             DO  i = nxlg, nxrg
-                DO  j = nysg, nyng 
-                   local_pf(i,j,nzb+1) =  qsws_veg_eb_av(j,i)
+                   local_pf(i,j,nzb+1) =  qsws_veg_av(j,i)
                 ENDDO
              ENDDO
@@ -3683,22 +3863,4 @@
                 DO  j = nysg, nyng
                    local_pf(i,j,nzb+1) = r_s_av(j,i)
-                ENDDO
-             ENDDO
-          ENDIF
-
-          two_d = .TRUE.
-          grid = 'zu1'
-
-       CASE ( 'shf_eb*_xy' )        ! 2d-array
-          IF ( av == 0 ) THEN
-             DO  m = 1, surf_lsm_h%ns
-                i                   = surf_lsm_h%i(m)            
-                j                   = surf_lsm_h%j(m)
-                local_pf(i,j,nzb+1) =  surf_lsm_h%shf_eb(m)
-             ENDDO
-          ELSE
-             DO  i = nxlg, nxrg
-                DO  j = nysg, nyng
-                   local_pf(i,j,nzb+1) =  shf_eb_av(j,i)
                 ENDDO
              ENDDO
@@ -3852,13 +4014,13 @@
           WRITE ( 14 )  'c_veg_av            ';  WRITE ( 14 ) c_veg_av
        ENDIF
-       IF ( ALLOCATED( ghf_eb_av ) )  THEN
-          WRITE ( 14 )  'ghf_eb_av           ';  WRITE ( 14 )  ghf_eb_av
+       IF ( ALLOCATED( ghf_av ) )  THEN
+          WRITE ( 14 )  'ghf_av           ';  WRITE ( 14 )  ghf_av
        ENDIF
        IF ( ALLOCATED( lai_av ) )  THEN
           WRITE ( 14 )  'lai_av              ';  WRITE ( 14 )  lai_av
        ENDIF
-       WRITE ( 14 )     'm_liq_eb            ';  WRITE ( 14 )  m_liq_eb_h%var_1d
-       IF ( ALLOCATED( m_liq_eb_av ) )  THEN
-          WRITE ( 14 )  'm_liq_eb_av         ';  WRITE ( 14 )  m_liq_eb_av
+       WRITE ( 14 )     'm_liq            ';  WRITE ( 14 )  m_liq_h%var_1d
+       IF ( ALLOCATED( m_liq_av ) )  THEN
+          WRITE ( 14 )  'm_liq_av         ';  WRITE ( 14 )  m_liq_av
        ENDIF
        WRITE ( 14 )     'm_soil              ';  WRITE ( 14 )  m_soil_h%var_2d
@@ -3866,19 +4028,13 @@
           WRITE ( 14 )  'm_soil_av           ';  WRITE ( 14 )  m_soil_av
        ENDIF
-       IF ( ALLOCATED( qsws_eb_av ) )  THEN
-          WRITE ( 14 )  'qsws_eb_av          ';  WRITE ( 14 )  qsws_eb_av
-       ENDIF   
-       IF ( ALLOCATED( qsws_liq_eb_av ) )  THEN
-          WRITE ( 14 )  'qsws_liq_eb_av      ';  WRITE ( 14 )  qsws_liq_eb_av
+       IF ( ALLOCATED( qsws_liq_av ) )  THEN
+          WRITE ( 14 )  'qsws_liq_av      ';  WRITE ( 14 )  qsws_liq_av
        ENDIF  
-       IF ( ALLOCATED( qsws_soil_eb_av ) )  THEN
-          WRITE ( 14 )  'qsws_soil_eb_av     ';  WRITE ( 14 )  qsws_soil_eb_av
+       IF ( ALLOCATED( qsws_soil_av ) )  THEN
+          WRITE ( 14 )  'qsws_soil_av     ';  WRITE ( 14 )  qsws_soil_av
        ENDIF 
-       IF ( ALLOCATED( qsws_veg_eb_av ) )  THEN
-          WRITE ( 14 )  'qsws_veg_eb_av      ';  WRITE ( 14 )  qsws_veg_eb_av
+       IF ( ALLOCATED( qsws_veg_av ) )  THEN
+          WRITE ( 14 )  'qsws_veg_av      ';  WRITE ( 14 )  qsws_veg_av
        ENDIF 
-       IF ( ALLOCATED( shf_eb_av ) )  THEN
-          WRITE ( 14 )  'shf_eb_av           ';  WRITE ( 14 )  shf_eb_av
-       ENDIF
        WRITE ( 14 )     't_soil              ';  WRITE ( 14 )  t_soil_h%var_2d
        IF ( ALLOCATED( t_soil_av ) )  THEN
@@ -4002,15 +4158,15 @@
                                   tmp_2d(nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
 
-                CASE ( 'ghf_eb_av' )
-                   IF ( .NOT. ALLOCATED( ghf_eb_av ) )  THEN
-                      ALLOCATE( ghf_eb_av(nysg:nyng,nxlg:nxrg) )
+                CASE ( 'ghf_av' )
+                   IF ( .NOT. ALLOCATED( ghf_av ) )  THEN
+                      ALLOCATE( ghf_av(nysg:nyng,nxlg:nxrg) )
                    ENDIF
                    IF ( k == 1 )  READ ( 13 )  tmp_2d
-                   ghf_eb_av(nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =        &
+                   ghf_av(nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =        &
                                   tmp_2d(nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
 
-                CASE ( 'm_liq_eb' )
+                CASE ( 'm_liq' )
                    IF ( k == 1 )  READ ( 13 )  tmp_walltype_1d !tmp_2d
-                   m_liq_eb_h%var_1d(1:surf_lsm_h%ns)  =                       &
+                   m_liq_h%var_1d(1:surf_lsm_h%ns)  =                       &
                                  tmp_walltype_1d(1:surf_lsm_h%ns)
 
@@ -4023,10 +4179,10 @@
                                   tmp_2d(nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
 
-                CASE ( 'm_liq_eb_av' )
-                   IF ( .NOT. ALLOCATED( m_liq_eb_av ) )  THEN
-                      ALLOCATE( m_liq_eb_av(nysg:nyng,nxlg:nxrg) )
+                CASE ( 'm_liq_av' )
+                   IF ( .NOT. ALLOCATED( m_liq_av ) )  THEN
+                      ALLOCATE( m_liq_av(nysg:nyng,nxlg:nxrg) )
                    ENDIF
                    IF ( k == 1 )  READ ( 13 )  tmp_2d
-                   m_liq_eb_av(nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =      &
+                   m_liq_av(nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) =      &
                                   tmp_2d(nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
 
@@ -4045,42 +4201,26 @@
                                     -nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
 
-                CASE ( 'qsws_eb_av' )
-                   IF ( .NOT. ALLOCATED( qsws_eb_av ) )  THEN
-                      ALLOCATE( qsws_eb_av(nysg:nyng,nxlg:nxrg) )
+                CASE ( 'qsws_liq_av' )
+                   IF ( .NOT. ALLOCATED( qsws_liq_av ) )  THEN
+                      ALLOCATE( qsws_liq_av(nysg:nyng,nxlg:nxrg) )
                    ENDIF  
                    IF ( k == 1 )  READ ( 13 )  tmp_2d
-                   qsws_eb_av(nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp)  =      &
+                   qsws_liq_av(nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp)  =  &
                                           tmp_2d(nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
-
-                CASE ( 'qsws_liq_eb_av' )
-                   IF ( .NOT. ALLOCATED( qsws_liq_eb_av ) )  THEN
-                      ALLOCATE( qsws_liq_eb_av(nysg:nyng,nxlg:nxrg) )
+                CASE ( 'qsws_soil_av' )
+                   IF ( .NOT. ALLOCATED( qsws_soil_av ) )  THEN
+                      ALLOCATE( qsws_soil_av(nysg:nyng,nxlg:nxrg) )
                    ENDIF  
                    IF ( k == 1 )  READ ( 13 )  tmp_2d
-                   qsws_liq_eb_av(nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp)  =  &
+                   qsws_soil_av(nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp)  = &
                                           tmp_2d(nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
-                CASE ( 'qsws_soil_eb_av' )
-                   IF ( .NOT. ALLOCATED( qsws_soil_eb_av ) )  THEN
-                      ALLOCATE( qsws_soil_eb_av(nysg:nyng,nxlg:nxrg) )
+
+                CASE ( 'qsws_veg_av' )
+                   IF ( .NOT. ALLOCATED( qsws_veg_av ) )  THEN
+                      ALLOCATE( qsws_veg_av(nysg:nyng,nxlg:nxrg) )
                    ENDIF  
                    IF ( k == 1 )  READ ( 13 )  tmp_2d
-                   qsws_soil_eb_av(nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp)  = &
+                   qsws_veg_av(nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp)  =  &
                                           tmp_2d(nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
-
-                CASE ( 'qsws_veg_eb_av' )
-                   IF ( .NOT. ALLOCATED( qsws_veg_eb_av ) )  THEN
-                      ALLOCATE( qsws_veg_eb_av(nysg:nyng,nxlg:nxrg) )
-                   ENDIF  
-                   IF ( k == 1 )  READ ( 13 )  tmp_2d
-                   qsws_veg_eb_av(nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp)  =  &
-                                          tmp_2d(nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
-
-                CASE ( 'shf_eb_av' )
-                   IF ( .NOT. ALLOCATED( shf_eb_av ) )  THEN
-                      ALLOCATE( shf_eb_av(nysg:nyng,nxlg:nxrg) )
-                   ENDIF
-                   IF ( k == 1 )  READ ( 13 )  tmp_2d
-                   shf_eb_av(nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp)  =       &
-                         tmp_2d(nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
 
                 CASE ( 't_soil' )
Index: /palm/trunk/SOURCE/lpm_splitting.f90
===================================================================
--- /palm/trunk/SOURCE/lpm_splitting.f90	(revision 2269)
+++ /palm/trunk/SOURCE/lpm_splitting.f90	(revision 2270)
@@ -25,4 +25,7 @@
 ! -----------------
 !
+! 
+! 
+! 
 ! Initial revision
 ! 
Index: /palm/trunk/SOURCE/netcdf_interface_mod.f90
===================================================================
--- /palm/trunk/SOURCE/netcdf_interface_mod.f90	(revision 2269)
+++ /palm/trunk/SOURCE/netcdf_interface_mod.f90	(revision 2270)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Removed 2 timeseries (shf_eb + qsws_eb). Removed _eb suffixes
+! 
+! 2265 2017-06-08 16:58:28Z schwenkel
 ! Unused variables removed.
 ! 
@@ -250,7 +253,7 @@
              'm2/s2  ', 'm2/s2  ', 'm2/s2  ', 'm2/s2  ', 'number2' /)
 
-    INTEGER(iwp) ::  dots_num  = 33  !< number of timeseries defined by default
+    INTEGER(iwp) ::  dots_num  = 25  !< number of timeseries defined by default
     INTEGER(iwp) ::  dots_soil = 26  !< starting index for soil-timeseries
-    INTEGER(iwp) ::  dots_rad  = 34  !< starting index for radiation-timeseries
+    INTEGER(iwp) ::  dots_rad  = 32  !< starting index for radiation-timeseries
 
     CHARACTER (LEN=13), DIMENSION(dots_max) :: dots_label =                    &
@@ -263,11 +266,11 @@
              'w"u"0        ', 'w"v"0        ', 'w"q"0        ',                &
              'ol           ', 'q*           ', 'w"s"         ',                &
-             's*           ', 'ghf_eb       ', 'shf_eb       ',                &
-             'qsws_eb      ', 'qsws_liq_eb  ', 'qsws_soil_eb ',                &
-             'qsws_veg_eb  ', 'r_a          ', 'r_s          ',                &
+             's*           ', 'ghf          ', 'qsws_liq     ',                &
+             'qsws_soil    ', 'qsws_veg     ', 'r_a          ',                &
+             'r_s          ',                                                  &
              'rad_net      ', 'rad_lw_in    ', 'rad_lw_out   ',                &
              'rad_sw_in    ', 'rad_sw_out   ', 'rrtm_aldif   ',                &
              'rrtm_aldir   ', 'rrtm_asdif   ', 'rrtm_asdir   ',                &                                               
-             ( 'unknown      ', i9 = 1, dots_max-42 ) /)
+             ( 'unknown      ', i9 = 1, dots_max-40 ) /)
 
     CHARACTER (LEN=13), DIMENSION(dots_max) :: dots_unit =                     &
@@ -281,10 +284,10 @@
              'm            ', 'kg/kg        ', 'kg m/(kg s)  ',                &
              'kg/kg        ', 'W/m2         ', 'W/m2         ',                &
-             'W/m2         ', 'W/m2         ', 'W/m2         ',                &
-             'W/m2         ', 's/m          ', 's/m          ',                &
+             'W/m2         ', 'W/m2         ', 's/m          ',                &
+             's/m          ',                                                  &
              'W/m2         ', 'W/m2         ', 'W/m2         ',                &
              'W/m2         ', 'W/m2         ', '             ',                &
              '             ', '             ', '             ',                &
-             ( 'unknown      ', i9 = 1, dots_max-42 ) /)
+             ( 'unknown      ', i9 = 1, dots_max-40 ) /)
 
     CHARACTER (LEN=16) :: heatflux_output_unit     !< unit for heatflux output
Index: /palm/trunk/SOURCE/radiation_model_mod.f90
===================================================================
--- /palm/trunk/SOURCE/radiation_model_mod.f90	(revision 2269)
+++ /palm/trunk/SOURCE/radiation_model_mod.f90	(revision 2270)
@@ -20,5 +20,4 @@
 ! Current revisions:
 ! -----------------
-! 
 ! 
 ! 
@@ -26,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Numbering changed (2 timeseries removed)
+! 
+! 2249 2017-06-06 13:58:01Z sward
 ! Allow for RRTMG runs without humidity/cloud physics
 ! 
@@ -658,12 +660,42 @@
                 CALL message( 'check_parameters', 'PA0408', 1, 2, 0, 6, 0 )
              ELSE
+                dopr_index(var_count) = 99
+                dopr_unit  = 'W/m2'
+                hom(:,2,99,:)  = SPREAD( zw, 2, statistic_regions+1 )
+                unit = dopr_unit
+             ENDIF
+
+          CASE ( 'rad_lw_in' )
+             IF ( (  .NOT.  radiation)  .OR.  radiation_scheme == 'constant' ) &
+             THEN
+                message_string = 'data_output_pr = ' //                        &
+                                 TRIM( data_output_pr(var_count) ) // ' is' // &
+                                 'not available for radiation = .FALSE. or ' //&
+                                 'radiation_scheme = "constant"'
+                CALL message( 'check_parameters', 'PA0408', 1, 2, 0, 6, 0 )
+             ELSE
+                dopr_index(var_count) = 100
+                dopr_unit  = 'W/m2'
+                hom(:,2,100,:)  = SPREAD( zw, 2, statistic_regions+1 )
+                unit = dopr_unit 
+             ENDIF
+
+          CASE ( 'rad_lw_out' )
+             IF ( (  .NOT. radiation )  .OR.  radiation_scheme == 'constant' ) &
+             THEN
+                message_string = 'data_output_pr = ' //                        &
+                                 TRIM( data_output_pr(var_count) ) // ' is' // &
+                                 'not available for radiation = .FALSE. or ' //&
+                                 'radiation_scheme = "constant"'
+                CALL message( 'check_parameters', 'PA0408', 1, 2, 0, 6, 0 )
+             ELSE
                 dopr_index(var_count) = 101
                 dopr_unit  = 'W/m2'
                 hom(:,2,101,:)  = SPREAD( zw, 2, statistic_regions+1 )
-                unit = dopr_unit
+                unit = dopr_unit   
              ENDIF
 
-          CASE ( 'rad_lw_in' )
-             IF ( (  .NOT.  radiation)  .OR.  radiation_scheme == 'constant' ) &
+          CASE ( 'rad_sw_in' )
+             IF ( (  .NOT. radiation )  .OR.  radiation_scheme == 'constant' ) &
              THEN
                 message_string = 'data_output_pr = ' //                        &
@@ -676,9 +708,9 @@
                 dopr_unit  = 'W/m2'
                 hom(:,2,102,:)  = SPREAD( zw, 2, statistic_regions+1 )
-                unit = dopr_unit 
+                unit = dopr_unit
              ENDIF
 
-          CASE ( 'rad_lw_out' )
-             IF ( (  .NOT. radiation )  .OR.  radiation_scheme == 'constant' ) &
+          CASE ( 'rad_sw_out')
+             IF ( (  .NOT.  radiation )  .OR.  radiation_scheme == 'constant' )&
              THEN
                 message_string = 'data_output_pr = ' //                        &
@@ -691,38 +723,38 @@
                 dopr_unit  = 'W/m2'
                 hom(:,2,103,:)  = SPREAD( zw, 2, statistic_regions+1 )
-                unit = dopr_unit   
+                unit = dopr_unit
              ENDIF
 
-          CASE ( 'rad_sw_in' )
-             IF ( (  .NOT. radiation )  .OR.  radiation_scheme == 'constant' ) &
+          CASE ( 'rad_lw_cs_hr' )
+             IF ( (  .NOT.  radiation )  .OR.  radiation_scheme /= 'rrtmg' )   &
              THEN
                 message_string = 'data_output_pr = ' //                        &
                                  TRIM( data_output_pr(var_count) ) // ' is' // &
                                  'not available for radiation = .FALSE. or ' //&
-                                 'radiation_scheme = "constant"'
-                CALL message( 'check_parameters', 'PA0408', 1, 2, 0, 6, 0 )
+                                 'radiation_scheme /= "rrtmg"'
+                CALL message( 'check_parameters', 'PA0413', 1, 2, 0, 6, 0 )
              ELSE
                 dopr_index(var_count) = 104
-                dopr_unit  = 'W/m2'
-                hom(:,2,104,:)  = SPREAD( zw, 2, statistic_regions+1 )
+                dopr_unit  = 'K/h'
+                hom(:,2,104,:)  = SPREAD( zu, 2, statistic_regions+1 )
                 unit = dopr_unit
              ENDIF
 
-          CASE ( 'rad_sw_out')
-             IF ( (  .NOT.  radiation )  .OR.  radiation_scheme == 'constant' )&
+          CASE ( 'rad_lw_hr' )
+             IF ( (  .NOT.  radiation )  .OR.  radiation_scheme /= 'rrtmg' )   &
              THEN
                 message_string = 'data_output_pr = ' //                        &
                                  TRIM( data_output_pr(var_count) ) // ' is' // &
                                  'not available for radiation = .FALSE. or ' //&
-                                 'radiation_scheme = "constant"'
-                CALL message( 'check_parameters', 'PA0408', 1, 2, 0, 6, 0 )
+                                 'radiation_scheme /= "rrtmg"'
+                CALL message( 'check_parameters', 'PA0413', 1, 2, 0, 6, 0 )
              ELSE
                 dopr_index(var_count) = 105
-                dopr_unit  = 'W/m2'
-                hom(:,2,105,:)  = SPREAD( zw, 2, statistic_regions+1 )
+                dopr_unit  = 'K/h'
+                hom(:,2,105,:)  = SPREAD( zu, 2, statistic_regions+1 )
                 unit = dopr_unit
              ENDIF
 
-          CASE ( 'rad_lw_cs_hr' )
+          CASE ( 'rad_sw_cs_hr' )
              IF ( (  .NOT.  radiation )  .OR.  radiation_scheme /= 'rrtmg' )   &
              THEN
@@ -739,5 +771,5 @@
              ENDIF
 
-          CASE ( 'rad_lw_hr' )
+          CASE ( 'rad_sw_hr' )
              IF ( (  .NOT.  radiation )  .OR.  radiation_scheme /= 'rrtmg' )   &
              THEN
@@ -751,34 +783,4 @@
                 dopr_unit  = 'K/h'
                 hom(:,2,107,:)  = SPREAD( zu, 2, statistic_regions+1 )
-                unit = dopr_unit
-             ENDIF
-
-          CASE ( 'rad_sw_cs_hr' )
-             IF ( (  .NOT.  radiation )  .OR.  radiation_scheme /= 'rrtmg' )   &
-             THEN
-                message_string = 'data_output_pr = ' //                        &
-                                 TRIM( data_output_pr(var_count) ) // ' is' // &
-                                 'not available for radiation = .FALSE. or ' //&
-                                 'radiation_scheme /= "rrtmg"'
-                CALL message( 'check_parameters', 'PA0413', 1, 2, 0, 6, 0 )
-             ELSE
-                dopr_index(var_count) = 108
-                dopr_unit  = 'K/h'
-                hom(:,2,108,:)  = SPREAD( zu, 2, statistic_regions+1 )
-                unit = dopr_unit
-             ENDIF
-
-          CASE ( 'rad_sw_hr' )
-             IF ( (  .NOT.  radiation )  .OR.  radiation_scheme /= 'rrtmg' )   &
-             THEN
-                message_string = 'data_output_pr = ' //                        &
-                                 TRIM( data_output_pr(var_count) ) // ' is' // &
-                                 'not available for radiation = .FALSE. or ' //&
-                                 'radiation_scheme /= "rrtmg"'
-                CALL message( 'check_parameters', 'PA0413', 1, 2, 0, 6, 0 )
-             ELSE
-                dopr_index(var_count) = 109
-                dopr_unit  = 'K/h'
-                hom(:,2,109,:)  = SPREAD( zu, 2, statistic_regions+1 )
                 unit = dopr_unit
              ENDIF
